 // class complex
#ifndef PI
#define	PI			3.141592653589793f
#endif

#ifndef DPI
#define	DPI			6.283185307179586f
#endif

#ifndef HALFPI
#define	HALFPI		1.570796326794897f
#endif

#ifndef QUARTERPI
#define	QUARTERPI	0.785398163397448
#endif

#ifndef NPI
#define	NPI			-3.141592653589793f
#endif

#ifndef NDPI
#define	NDPI		-6.283185307179586f
#endif

#ifndef NHALFPI
#define	NHALFPI		-1.570796326794897f
#endif

#ifndef NQUARTERPI
#define	NQUARTERPI	-0.785398163397448
#endif

typedef struct{
            float real;               // Real Part
            float imag;      //  Imaginary Part
 	}COMPLEJO;

#define COMPLEJO_DEFAULTS {\
		0.0,0.0\
					}
// Prototipos

COMPLEJO complex_sum(COMPLEJO c1, COMPLEJO c2); // c1 + c2
COMPLEJO complex_dif(COMPLEJO c1, COMPLEJO c2); // c1 - c2             
COMPLEJO complex_mul(COMPLEJO c1, COMPLEJO c2); // c1 * c2
COMPLEJO complex_div(COMPLEJO c1, COMPLEJO c2); // c1 / c2
COMPLEJO complex_getconjugate(COMPLEJO c); 
COMPLEJO complex_getreciprocal(COMPLEJO c);
float complex_getmodulus(COMPLEJO c);
float complex_getphase(COMPLEJO c);		// rad
COMPLEJO complex_setdata(COMPLEJO c, float r,float i);
float complex_getreal(COMPLEJO c)  ;
float complex_getimaginary(COMPLEJO c);
int complex_equal(COMPLEJO c1, COMPLEJO c2);

